### Method

# WebKit2WebExtension WebPage send_message_to_view

#### Declaration [src]

    void
    webkit_web_page_send_message_to_view (
      WebKitWebPage* web_page,
      WebKitUserMessage* message,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Send `message` to the `WebKitWebView` corresponding to `web_page`. If `message` is floating, it’s consumed.

If you don’t expect any reply, or you simply want to ignore it, you can pass `NULL` as `callback`. When the operation is finished, `callback` will be called. You can then call `webkit_web_page_send_message_to_view_finish()` to get the message reply.

Available since: | 2.28

#### Parameters

`message` | `WebKitUserMessage`
| A `WebKitUserMessage`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| (nullable): A `GAsyncReadyCallback` to call when the request is satisfied or `NULL`.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.